Get contract review
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"submission_id": 123,
"status": "<string>",
"submission_name": "<string>",
"account": {},
"current_version": {},
"versions": [
{}
],
"participants": [
{}
],
"comments": [
{}
],
"current_participant": {},
"read_only": true,
"has_pending_changes": true,
"previous_pending_comments": [
{}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{
"error": "<string>"
}Contract Reviews
Get contract review
The review of a contract: versions, participants and comments.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
contract_submissions
/
{contract_submission_id}
/
reviews
Get contract review
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"submission_id": 123,
"status": "<string>",
"submission_name": "<string>",
"account": {},
"current_version": {},
"versions": [
{}
],
"participants": [
{}
],
"comments": [
{}
],
"current_participant": {},
"read_only": true,
"has_pending_changes": true,
"previous_pending_comments": [
{}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{
"error": "<string>"
}Authorizations
Path Parameters
ID of the contract submission
The numeric ID of the account
Response
Success
Was this page helpful?